package com.ruoyi.szxc.mapper;

import java.util.List;
import com.ruoyi.szxc.domain.SzxcPlaceManage;

/**
 * 场所管理Mapper接口
 * 
 * @author hs
 * @date 2024-03-28
 */
public interface SzxcPlaceManageMapper 
{
    /**
     * 查询场所管理
     * 
     * @param id 场所管理主键
     * @return 场所管理
     */
    public SzxcPlaceManage selectSzxcPlaceManageById(Long id);

    /**
     * 查询场所管理列表
     * 
     * @param szxcPlaceManage 场所管理
     * @return 场所管理集合
     */
    public List<SzxcPlaceManage> selectSzxcPlaceManageList(SzxcPlaceManage szxcPlaceManage);

    /**
     * 新增场所管理
     * 
     * @param szxcPlaceManage 场所管理
     * @return 结果
     */
    public int insertSzxcPlaceManage(SzxcPlaceManage szxcPlaceManage);

    /**
     * 修改场所管理
     * 
     * @param szxcPlaceManage 场所管理
     * @return 结果
     */
    public int updateSzxcPlaceManage(SzxcPlaceManage szxcPlaceManage);

    /**
     * 删除场所管理
     * 
     * @param id 场所管理主键
     * @return 结果
     */
    public int deleteSzxcPlaceManageById(Long id);

    /**
     * 批量删除场所管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSzxcPlaceManageByIds(Long[] ids);
}
